#include "ScopeSemaphoreExit.h"

 ScopeSemaphoreExit::ScopeSemaphoreExit(std::function<void()> onExit)
        : onExit_(onExit) {}

 ScopeSemaphoreExit::~ScopeSemaphoreExit() {
        if (onExit_) onExit_();
    }
